#!/bin/sh
# Version 002 - Auslieferungsversion
# Version 003 - DLTII_KernelV100 -i
# Version 004 - NEU: DLTII_KernelV101 wird aber wegen Kompatibilität mit autostart.sh nach DLTII_KernelV100 umbennant
#								FIX: DLTII_KernelV100 -i wird nicht mehr ausgeführt, da jetzt keine Inbetriebnahme mehr
#								FIX: Für alle Programme und Scripte X-Flag per chmod gesetzt
#								TODO: autostart.sh sollte auch für update.sh das X-Flag setzen, dann muss nicht unter Linux gepackt werden.
# Version 005 - NEU: Btriebssystem/Bootloader fr startup-Slideshow
# Version 006 - NEU: DLTII_KernelV102, Sprachenupdate durch PC-Software, berprfung des Update-Levels
#										 Setzen des neuen Levels in Datei 'dltii_new_updatelevel.txt'
#										 autostart.sh setzt fr update.sh das x-Flag
# Version 007 - BS
# Version 008 - NEU: DLTII_KernelV103, Download-Erinnerung, automatisches Dhcp, USB jetzt serielle Verbindung
#								NEU: dlt2
# Version 009 - NEU: DLTII_KernelV104, Disponenten, bei Infotext, Dispoenten, Download-Errinnerung kein Restart mehr
#								NEU: dlt2
# Version 012 - FIX: DLTII_KernelV105 USB-Serial wird nur einmal geffnet
# Version 013 - FIX: Neue Slideshow, Reset der Tastatur (ESD-Problematik)
# Version 014 - NEU: Versionsnummer jetzt V100
#								FIX: dlt2 und DLTII_KernelV100 - verschiedene Fehler nach Fehlerliste beseitigt
#								NEU: Terminalsprachen deutsch, englisch, franzsich, spanisch
# Version 015 - FIX: dlt2 und DLTII_KernelV100 - verschiedene Fehler nach Fehlerliste beseitigt
# Version 016 - FIX: dlt2 und DLTII_KernelV100 - verschiedene Fehler nach Fehlerliste beseitigt
# Version 017 - FIX: sildeshow.sh lscht mtab und udhpcd.leases, sofort auf 018 setzen, da nicht mehr bentigt
# Version 018 - FIX: entfllt
# Version 019 - FIX: neuer Kernel u. Modules, Multi-Usb-Gadget (Serial u. Ethernet)
#										 autostart bootet wegen modules noch einmal
# Version 020 - FIX: DLII_KernelV100 - Kartenfolgenr, Export auf Server-Freigabe
# Version 021 - NEU: V107 - Erweiterte Einstellung der Zeitzone
#								NEU: Unterstzung fr neue DL-Keys
#								FIX: 18.10.2012 - autostart.sh - update-Archiv wird nach /tmp (RAM) entpackt
# Version 022 - FIX: V108 - DL-Keys mit PID 000a, 000b, 000c werden jetzt verarbeitet
#								FIX: 18.10.2012 - autostart.sh - update-Archiv wird nach /tmp (RAM) entpackt
# Version 023 - NEU: V109 - Reminderdatei dlownloads.txt wird per Option sofort gelscht
#								FIX: 18.10.2012 - autostart.sh - update-Archiv wird nach /tmp (RAM) entpackt
# Version 024 - NEU: autostart.sh - update-Archiv wird nach /tmp (RAM) entpackt
#										 installiert V110 und setzt Level 25 (Kernel-Update berspringen)
#										 nur fr Update von V109
# Version 025 - NEU: Kernel-Update, V110 - keine neue Funktionalitt, nur als neue Basisversion
#										 (V109 hat bereits den neuen Kernel)
# Version 026 - NEU: V111 - "Schweizer Karte" wird jetzt verarbeitet
#
# Version 027 - FIX: Unternehmenskarten download wird nicht mit "Invalid card" beendet, 
#                    falls die Karte noch nicht als Disponentenkarte angelegt wurde.
#                    Installiert dlt2, neue dlt2 Version 1.00.06
# Version 028 - FIX: Fix fr Franzsisches Dateinamenformat
#                    Installiert dlt2, neue dlt2 Version 1.00.06
#                    Installiert DLTII_KERNEL_V100 v. 112
#
# Version 029 - FIX: Untersttznug fr DownloadKey2 mit zwei Partitionen und den Partitionsgren 
#                    3.63 GiB / 64.0 MiB
#                    Untersttzung fr DownloadKeys, welche beim Mounten lange brauchen
#                    Dynamische Wartezeit beim Mounten
#                    Installiert DLTII_KERBEL_V100 v112-1
#
# Version 030 - NEW: DLT-Pro Software beta
#                    Installiert DLTII_KERBEL_V100 v113
#                                dlt2 1.00.07
#                    Implementiert RFID Reader und SFTP Export Support
#
# Version 031 - NEW: DLT-Pro Software
#                    Fix fr DLTII_KERBEL_V100 v113, Schreibt .edk Dateien jetzt mit 16 stelliger Fahrerkarten ID (14 stellige Fahrerkarten Nr + replacement ID + renewal ID
#
# Version 032 - NEW: DLT-Pro Software
#                    Wiederholung DLT_KENREL_V100 v113 aus Update 31 + neue DLTPro Slideshow
#
# Version 033 - NEW: DLT-Pro Software
#                    Fix in DLT_KERNEL_V100, SFTP Watchdog thread cancelation fixed. Segfault fixed.
#
# Version 034 - NEW: Dummy Update to push update level to 34
# 
# Version 035 - NEW: DLT-Pro Software und System
#                    Implementation USB CCID Card Reader Support
#                    Implementation Werkstattkarten Download
# Version 036 - NEW: DLT-Pro: Implementation DTCO 4.0, 2nd generation Card support
#
# Version 037 - NEW: DLT-Pro: Fixes for DTCO 4.0 card download
#
# Version 038 - NEW: DLT-Pro: Fix RFID Reader, fix Reading of EF_IC, EF_ICC datasets
#
# Version 039 - FIX: DLT-Pro: Fix Workshop card reading (large files) and certificate reading (correct size)
#               FIX: Download key download / tree view filling, crash on some download keys
#
# Version 040 - FIX: DLT-Pro: Fix crash when inserting DLK
#
# Kopiere die Anwendungen

echo "Script gestartet ..." >> /data/UpdateResult.TXT

set +e

cp /tmp/update/DLTII_KernelV100 ~/DLTII_KernelV100
if [ "$?" -ne "0" ]; then exit 1; fi

cp /tmp/update/dlt2 ~/dlt2
if [ "$?" -ne "0" ]; then exit 1; fi

echo "Level 040" >> /data/UpdateResult.TXT

echo DLTII_NewUpdateLevel=040 > ~/DLTII_NewUpdateLevel.TXT

 
